## Command line

AppleWin can be driven from the command line as follows:

-d1 <pathname>
Start with a floppy disk in drive-1 (and auto power-on the Apple II)
-d2 <pathname>
Start with a floppy disk in drive-2
-h1 <pathname>
Start with hard disk 1 plugged-in (and auto power-on the Apple II). NB. Hard disk controller card gets enabled.
-h2 <pathname>
Start with hard disk 2 plugged-in. NB. Hard disk controller card gets enabled.
-s0 <saturn|saturn64|saturn128>
Insert a Saturn 64K or Saturn 128K card into slot 0 in Apple II or Apple II+ machines (or similar clone).
Where -s0 saturn is an alias for -s0 saturn128.
-s0 <languagecard|lc>
Insert an Apple 16K Language Card into slot 0 in Apple II and use the F8 auto-start ROM.
NB. The Apple II+ already defaults to having a Language Card, so this switch is not required.
-s7 empty
Remove the hard disk controller card from slot 7.
Useful to allow a floppy disk to boot from slot 6, drive 1. Use in combination with -d1.
-r <number of pages>
Emulate a RAMworks III card with 1 to 127 pages (each page is 64K, giving a max of 8MB) in the auxiliary slot in an Apple //e machine.
-load-state <savestate>
Load a save-state file
NB. This takes precedent over the -d1,d2,h1,h2,s0,s7 and -r switches.
-f
Start in full-screen mode
-fs-height=<best|nnnn>
Use to select a better resolution for full-screen mode.

- best: picks the highest resolution where the height is an integer multiple of (192*2)
- nnnn: select a specific resolution with height=nnnn pixels

NB. This changes the display resolution (and restores on exit).
-f8rom <rom-file>
Use custom 2K ROM at [$F800..$FFFF]. <rom-file> must be 2048 bytes long
-printscreen
Enable the dialog box to display the last file saved to
-no-printscreen-key
Prevent the PrintScreen key from being registered
-no-hook-system-key
Prevent certain system key combinations from being hooked (to prevent the emulator from trapping ALT+ESC, ALT+SPACE, ALT+TAB and CTRL+ESC). This means that the equivalent Open Apple+<key> combinations won't work within the emulator.
NB. This switch takes precedence over -hook-alt-tab and -hook-altgr-control.
-hook-alt-tab
By default the emulator doesn't hook ALT+TAB. Use this to allow Open Apple+TAB to be readable by the emulated machine.
-hook-altgr-control
By default the emulator doesn't suppress ALT GR's (Right Alt's) fake LEFT CONTROL. Use this to suppress this fake LEFT CONTROL to allow Closed Apple+CTRL+<key> to be readable by the emulated machine.
NB. Suppressing this fake LEFT CONTROL seems to prevent international keyboards from being able to type certain keys.
-use-real-printer
Enables Advanced configuration control to allow dumping to a real printer
-noreg
Disable registration of file extensions (.do/.dsk/.nib/.po)
-memclear <n>
Where n is [0..7]:

- 0 Initialize memory to zero
- 1 Initialize memory to random values
- 2 Initialize memory to 4 byte pattern: FF FF 00 00
- 3 Initialize memory to even pages FF, odd pages 00
- 4 Initialize memory to first half page 00, last half page FF
- 5 Initialize memory to first half page FF, last half page 00
- 6 Initialize memory to byte offset of that page (current memory address low byte) i.e. 00:00 01 02 03 ... for page $20
- 7 Initialize memory to page address (current memory address high byte) i.e. 00:20 20 20 20 ... for page $20

-modem
Shorthand for passing -dcd
Use with GBBS Pro (or any other BBS package). See the GBBS Pro 2.2 book from Call-A.P.P.L.E.
-dcd
For the SSC's 6551's Status register's DCD bit, use this switch to force AppleWin to use the state of the MS_RLSD_ON bit from GetCommModemStatus().
-alt-enter=<toggle-full-screen|open-apple-enter>
Define the behavior of Alt+Enter:

- Either: Toggle between windowed and full screen video modes (default).
- Or: Allow the emulated Apple II to read the Enter key state when Alt (Open Apple key) is pressed.

Debug arguments:

-l or -log
Enable logging. Creates an AppleWin.log file
-m
Disable DirectSound support
-no-printscreen-dlg
Suppress the warning message-box if AppleWin fails to capture the PrintScreen key